summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/bacula-client/README13
-rw-r--r--system/bacula-client/bacula-client.SlackBuild112
-rw-r--r--system/bacula-client/bacula-client.info10
-rw-r--r--system/bacula-client/doinst.sh24
-rw-r--r--system/bacula-client/slack-desc19
5 files changed, 178 insertions, 0 deletions
diff --git a/system/bacula-client/README b/system/bacula-client/README
new file mode 100644
index 0000000000..4af294c681
--- /dev/null
+++ b/system/bacula-client/README
@@ -0,0 +1,13 @@
+Bacula (Manage backup, recovery) - Client only
+
+Bacula is a set of computer programs that permit you (or the system
+administrator) to manage backup, recovery, and verification of
+computer data across a network of computers of different kinds. In
+technical terms, it is a network Client/Server based backup program.
+Bacula is relatively easy to use and efficient, while offering many
+advanced storage management features that make it easy to find and
+recover lost or damaged files. Due to its modular design, Bacula is
+scalable from small single computer systems to systems consisting of
+hundreds of computers located over a large network.
+
+More info on website: http://www.bacula.org
diff --git a/system/bacula-client/bacula-client.SlackBuild b/system/bacula-client/bacula-client.SlackBuild
new file mode 100644
index 0000000000..ea89701190
--- /dev/null
+++ b/system/bacula-client/bacula-client.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for Bacula Client
+
+# Copyright 2010, mario <mario@slackverse.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bacula-client
+SRCNAM=bacula
+VERSION=${VERSION:-5.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/bacula \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-scriptdir=/usr/bin \
+ --with-working-dir=/var/bacula/working \
+ --disable-conio \
+ --enable-client-only \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS ChangeLog COPYING INSTALL README ReleaseNotes VERIFYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+
+# Copy rc script
+install -D -m0755 -oroot -groot scripts/bacula $PKG/etc/rc.d/rc.bacula.new
+
+# Append .new to config files
+cd $PKG/etc/bacula || exit 1
+for i in *.conf ; do mv $i $i.new ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Remove useless tmp dir
+if [ -d $PKG/tmp ]; then
+ rm -rf $PKG/tmp
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/bacula-client/bacula-client.info b/system/bacula-client/bacula-client.info
new file mode 100644
index 0000000000..ff349cbbf6
--- /dev/null
+++ b/system/bacula-client/bacula-client.info
@@ -0,0 +1,10 @@
+PRGNAM="bacula-client"
+VERSION="5.0.1"
+HOMEPAGE="www.bacula.org"
+DOWNLOAD="http://downloads.sourceforge.net/bacula/bacula-5.0.1.tar.gz"
+MD5SUM="beb9f8da196b3c9ffb0356f087dbdb99"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="mario"
+EMAIL="mario@slackverse.org"
+APPROVED="dsomero"
diff --git a/system/bacula-client/doinst.sh b/system/bacula-client/doinst.sh
new file mode 100644
index 0000000000..0d18f79b8d
--- /dev/null
+++ b/system/bacula-client/doinst.sh
@@ -0,0 +1,24 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+# Keep same perms on rc.bacula.new:
+if [ -e etc/rc.d/rc.bacula ]; then
+ cp -a etc/rc.d/rc.bacula etc/rc.d/rc.bacula.new.incoming
+ cat etc/rc.d/rc.bacula.new > etc/rc.d/rc.bacula.new.incoming
+ mv etc/rc.d/rc.bacula.new.incoming etc/rc.d/rc.bacula.new
+fi
+
+config etc/bacula/bacula-fd.conf.new
+config etc/bacula/bconsole.conf.new
+config etc/rc.d/rc.bacula.new
+
diff --git a/system/bacula-client/slack-desc b/system/bacula-client/slack-desc
new file mode 100644
index 0000000000..018ed739f0
--- /dev/null
+++ b/system/bacula-client/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bacula-client: Bacula (managed backup and recovery - Client only)
+bacula-client:
+bacula-client: Bacula is a set of computer programs that permit you (or the system
+bacula-client: administrator) to manage backup, recovery, and verification of
+bacula-client: computer data across a network of computers of different kinds.
+bacula-client:
+bacula-client: Homepage: http://www.bacula.org
+bacula-client:
+bacula-client:
+bacula-client:
+bacula-client: